Subject: RE: [netlmm] PMIP MIP dependancy

From: "Sri Gundavelli" <[email-masked]>
Date: Sat, 2 Jun 2007 01:37:17 -0700

Hi Julien,

Looks like, no one responded to this. Please see
inline...
 
Regards
Sri

> -----Original Message-----
> From: Julien Abeille [mailto:[email-masked]] 
> Sent: Wednesday, May 23, 2007 2:21 AM
> To: [email-masked]
> Subject: Re: [netlmm] PMIP MIP dependancy
> 
> Hi all,
> 
> I elaborate a bit on the MIP/PMIP dependancy:
> The problematic scenario is in my opinion when HA and LMA are 
> collocated:
> if the MN is not MIP enabled, mobility is provided by PMIP.
> if the MN is MIP enabled and the HA is not its HA, mobility 
> is handled 
> by PMIP in theis domain and MIP at another level (scenario A in 
> draft-giaretta-netlmm-mip-interactions-00)
> if the MN is MIP enabled and the HA is its HA, the MAG advertises the 
> MN's home prefix and mobility is handled by PMIP.
> 
> In all scenarios, the mobility in the domain where HA/LMA operates is 
> handled by PMIP. Why then is there a HA there?
> 

These scenario's were discussed some time back in the following
thread:

http://www1.ietf.org/mail-archive/web/netlmm/current/mail41.html

To your above question as why there needs to be a HA in the PMIP
domain, you need to look the integrated scenario of local and
global mobility. This was covered in Appendix-A of
draft-sgundave-mip6-pmip6-02.txt. Currently, its not in the scope
of the base doc and is covered in
draft-devarapalli-netlmm-pmipv6-mipv6-01.txt

A mobile node when it is in the home domain, may be offered
network-based mobility. The LMA in its home domain is the anchor
point for its home prefix. Now, if the mobile node moves out of
the domain, it may obtain mobility for this address from its home
prefix, by using client-based mobility. Now, it is reasonable to
expect the same LMA that offered the network-based mobility to the
mobile node in its home domain, to offer global mobility. It is the
same home agent function that can offer both local and global
mobility. So, the HA/LMA in the PMIP domain that you see, can
be offering both the services. It may not be practical to expect
the operator to deploy two boxes in the home domain, one for
offering local mobility service and another box for offering global
mobility service.That's why there is an HA there.

Sri

> I think that the SDOs talking about MIP/PMIP in the same domain (e.g. 
> WiMax Forum) think about providing mobility by means of PMIP 
> for non MIP 
> enabled MNs and MIP for MIP enabled MNs. I think this could 
> and should 
> be done without a dependency of PMIP specification  on MIP.
> 
> Best regards,
> Julien Abeille
> 
> 
> 
> Julien Abeille wrote:
> > Hi,
> >
> > I have one questions regarding the interaction of PMIP and 
> CMIP in the current version of the PMIP specification:
> > In the case where LMA and HA are collocated, why do you 
> chose to have one single binding cache entry for CMIP enabled 
> MNs? My concern is that it makes the PMIP specification 
> dependant of the CMIP one. As an example, when a CMIP enabled 
> MN moves from a non PMIP enabled network to a PMIP enabled 
> network where the LMA is its HA, you introduce the tentative 
> binding update state to avoid the MN's BU to erase the 
> binding just updated by the MAG.
> >
> > Best regards,
> > Julien Abeille
> >
> >
> > Julien Abeillé
> > Research Associate
> > NEC Europe Ltd.
> > Network Laboratories
> > Kurfürsten-Anlage 36
> > 69115 Heidelberg
> > GERMANY
> >
> > tel: +49 6221 43421 19
> > fax: +49 6221 43421 55
> > eMail: [email-masked]
> >
> > NEC Europe Limited | Registered Office: NEC House, 1 
> Victoria Road, London W3 6BL | Registered in England 2832014 
> >
> > _______________________________________________
> > netlmm mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/netlmm
> >
> >   
> 
> -- 
> Julien Abeillé
> Research Associate
> NEC Europe Ltd.
> Network Laboratories
> Kurfürsten-Anlage 36
> 69115 Heidelberg
> GERMANY
> 
> tel: +49 6221 43421 19
> fax: +49 6221 43421 55
> eMail: [email-masked]
> http://www.netlab.nec.de
> 
> NEC Europe Limited | Registered Office: NEC House, 1 Victoria 
> Road, London W3 6BL | Registered in England 2832014 
> 
> 
> 
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/netlmm

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm